{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "III",
    "IRI",
    "IGI"
  ],
  "key": {
    "G": {
      "item": "generatorgalore:obsidian_generator"
    },
    "I": {
      "tag": "forge:ingots/iron"
    },
    "R": {
      "tag": "tnp:experience_buckets"
    }
  },
  "result": {
    "item": "generatorgalore:experience_generator"
  }
}